## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-accessible-pygments
Version:        0.0.4
Release:        %autorelease
Summary:        Accessible pygments themes

BuildArch:      noarch
License:        BSD-3-Clause
URL:            https://quansight-labs.github.io/accessible-pygments/
Source0:        https://github.com/Quansight-Labs/accessible-pygments/archive/v%{version}/accessible-pygments-%{version}.tar.gz

BuildRequires:  python3-devel
# setup.py needs install_requires installed before it can run at all
BuildRequires:  %{py3_dist pygments}

%description
This package includes a collection of accessible themes for pygments
based on different sources.

%package     -n python3-accessible-pygments
Summary:        %{summary}

%py_provides python3-a11y-pygments

%description -n python3-accessible-pygments
This package includes a collection of accessible themes for pygments
based on different sources.

%prep
%autosetup -n accessible-pygments-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files a11y_pygments

%check
# This regenerates the output in test/results.  A successful run means that:
# - The module can be imported; and
# - The module can generate output without errors.
# However, this does not tell us that the output is actually correct.
# We could compare against the original contents of test/results, but those
# can differ due to differences in the version of pygments used.
%{py3_test_envvars} %{python3} test/run_tests.py

%files -n python3-accessible-pygments -f %{pyproject_files}
%doc CHANGELOG.md README.md

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.0.4-2
- Rebuilt for Python 3.12

* Thu Mar 30 2023 Jerry James <loganjerry@gmail.com> - 0.0.4-1
- Initial RPM
## END: Generated by rpmautospec
